#include <stdio.h>
#include <string.h>
#include <assert.h>

#define COMMENT_START "translate_off"
#define COMMENT_END   "translate_on"

extern FILE *yyin,*yyout;

int RemoveAldecComments(void)
  {
  FILE *cleanfile=yyout;
  char line[16384];
  int comment=0;


  assert(cleanfile);
  if(!yyin)
    return -1;
  assert(!fseek(yyin,0L,SEEK_SET));
  while(fgets(line,16383,yyin))
    if(comment)
      {
      if(strstr(line,COMMENT_END))
        comment=0;
      }
    else
      {
      if(strstr(line,COMMENT_START))
        comment=1;
      else
        fprintf(cleanfile,"%s",line);
      }

  
//  fclose(yyin);
//  yyin=cleanfile;
//  fflush(yyin);
//  assert(!fseek(yyin,0L,SEEK_SET));
  return 0;
  }


