#include <stdio.h>
#include <assert.h>
#include "string.h"
#include "vhdl_def.h"
extern int yydebug;

int yyparse(void);

int main( int argc, char *argv[])
  {
#if 0
  if(!--argc)
    {
    printf("Input file not specified!\n");
    exit(101);
    }
  if( !(yyin=fopen(argv[1],"rt")) )
    {
    printf("Unable to open input file!\n");
    exit(102);
    }
  if(!--argc)
    {
    error_log=fopen("errors.log","at");
    if( !error_log)
      assert(error_log=fopen("errors.log","wt"));
    }
  else
    {
    error_log=fopen(argv[2],"at");
    if( !error_log)
      assert(error_log=fopen(argv[2],"wt"));
    }
  if( !yyparse())
    printf("File %s parsed successful!\n",argv[1]);
  else
  {
    printf("There were some errorrs.\n");
    exit(20);
  }
#else
  FILE *designf=fopen("design.dgn","rt");
  char line[1024], name[512];
  int len;

  assert(designf);
  error_log=fopen("errors.log","at");
  if( !error_log)
    assert(error_log=fopen("errors.log","wt"));

  while(fgets(line,1023,designf))
    {
    len=strlen(line)-5;
    line[len]='\0';
    strcat(line,".lex");
    yyin=fopen(line,"rt");
    assert(yyin);
    if( !yyparse())
      printf("File %s parsed successfuly!\n",line);
    else
      {
      fclose(yyin);
      fclose(error_log);
      printf("There were some errorrs.\n");
      exit(20);
      }
    fclose(yyin);    
    }
#endif

  exit(0);
  return 0;
  }
